Dispatch (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, class: Dispatch

Package com.sun.jna.platform.win32.COM

# Class Dispatch

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.COM.COMInvoker
com.sun.jna.platform.win32.COM.Unknown
com.sun.jna.platform.win32.COM.Dispatch

All Implemented Interfaces:
  `NativeMapped`, `IDispatch`, `IUnknown`

Direct Known Subclasses:
  `Dispatch.ByReference`

public class Dispatch extends Unknown implements IDispatch
Wrapper class for the IDispatch interface IDispatch.GetTypeInfoCount 12 IDispatch.GetTypeInfo 16 IDispatch.GetIDsOfNames 20 IDispatch.Invoke 24

Author:
  Tobias Wolf, wolf.tobias@gmx.net

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Dispatch.ByReference`

- ## Field Summary

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.IDispatch

  `IID_IDISPATCH`

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `IID_IUNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Dispatch()`
  `Dispatch(Pointer pvInstance)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinNT.HRESULT`
  `GetIDsOfNames(Guid.REFIID riid, WString[] rgszNames, int cNames, WinDef.LCID lcid, OaIdl.DISPIDByReference rgDispId)`
  Gets the ids of names.
  `WinNT.HRESULT`
  `GetTypeInfo(WinDef.UINT iTInfo, WinDef.LCID lcid, PointerByReference ppTInfo)`
  Gets the type info.
  `WinNT.HRESULT`
  `GetTypeInfoCount(WinDef.UINTByReference pctinfo)`
  Gets the type info count.
  `WinNT.HRESULT`
  `Invoke(OaIdl.DISPID dispIdMember, Guid.REFIID riid, WinDef.LCID lcid, WinDef.WORD wFlags, OleAuto.DISPPARAMS.ByReference pDispParams, Variant.VARIANT.ByReference pVarResult, OaIdl.EXCEPINFO.ByReference pExcepInfo, IntByReference puArgErr)`
  Invoke.

  ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

  `AddRef, QueryInterface, Release`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

  `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `AddRef, QueryInterface, Release`

- ## Constructor Details

  - ### Dispatch

    public Dispatch()

  - ### Dispatch

    public Dispatch(Pointer pvInstance)

- ## Method Details

  - ### GetTypeInfoCount

    public WinNT.HRESULT GetTypeInfoCount(WinDef.UINTByReference pctinfo)
    Gets the type info count.
    Specified by:
      `GetTypeInfoCount` in interface `IDispatch`
    Parameters:
      `pctinfo` - the pctinfo
    Returns:
      the hresult Virtual

  - ### GetTypeInfo

    public WinNT.HRESULT GetTypeInfo(WinDef.UINT iTInfo, WinDef.LCID lcid, PointerByReference ppTInfo)
    Gets the type info.
    Specified by:
      `GetTypeInfo` in interface `IDispatch`
    Parameters:
      `iTInfo` - the i t info
      `lcid` - the lcid
      `ppTInfo` - the pp t info
    Returns:
      the hresult

  - ### GetIDsOfNames

    public WinNT.HRESULT GetIDsOfNames(Guid.REFIID riid, WString[] rgszNames, int cNames, WinDef.LCID lcid, OaIdl.DISPIDByReference rgDispId)
    Gets the ids of names.
    Specified by:
      `GetIDsOfNames` in interface `IDispatch`
    Parameters:
      `riid` - the riid
      `rgszNames` - the rgsz names
      `cNames` - the c names
      `lcid` - the lcid
      `rgDispId` - the rg disp id
    Returns:
      the hresult

  - ### Invoke

    public WinNT.HRESULT Invoke(OaIdl.DISPID dispIdMember, Guid.REFIID riid, WinDef.LCID lcid, WinDef.WORD wFlags, OleAuto.DISPPARAMS.ByReference pDispParams, Variant.VARIANT.ByReference pVarResult, OaIdl.EXCEPINFO.ByReference pExcepInfo, IntByReference puArgErr)
    Invoke.
    Specified by:
      `Invoke` in interface `IDispatch`
    Parameters:
      `dispIdMember` - the disp id member
      `riid` - the riid
      `lcid` - the lcid
      `wFlags` - the w flags
      `pDispParams` - the disp params
      `pVarResult` - the var result
      `pExcepInfo` - the excep info
      `puArgErr` - the pu arg err
    Returns:
      the hresult